Page MenuHomePhabricator

Use Z UTC suffix in EventBus emitted events rather than +00:00
Closed, ResolvedPublic2 Story Points

Description

EventBus currently emits datetime fields with timestamps like YYYY-mm-ddTHH:MM:SS+00:00. While this is formally compatible with YYYY-mm-ddTHH:MM:SSZ, we'd like to be as consistent as possible. Let's make the EventBus extension emit the datetime suffixed with 'Z' instead of '+00:00'.

Details

Related Gerrit Patches:
mediawiki/extensions/EventBus : masterUse Z suffix instead +00:00 for recentchange event meta.dt
mediawiki/extensions/EventBus : masterUse 'Z' suffix instead of +00:00 in meta.dt

Event Timeline

Ottomata created this task.Feb 25 2019, 2:46 PM
Ottomata added a project: Event-Platform.
Ottomata set the point value for this task to 2.
fdans triaged this task as High priority.Feb 25 2019, 4:48 PM
fdans moved this task from Incoming to Data Quality on the Analytics board.
Ottomata claimed this task.Feb 25 2019, 4:48 PM
Ottomata moved this task from Backlog to In Progress on the Event-Platform board.Mar 12 2019, 2:39 PM
mforns closed this task as Invalid.Apr 22 2019, 3:47 PM
mforns added a subscriber: mforns.

@Ottomata, this task can be closed right? Because of the changes we're doing on EventGate.
Closing it. Please, reopen if I'm wrong.

Ottomata reopened this task as Open.Apr 23 2019, 2:29 PM

Not quite! The new monolog based events do indeed use 'Z', but the ones built in EventBus extension don't yet. This should be a simple change, and will likely do it this quarter when we start moving some EventBus extension mediawiki events to EventGate.

Change 510966 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventBus@master] Use 'Z' suffix instead of +00:00 in meta.dt

https://gerrit.wikimedia.org/r/510966

Change 510968 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventBus@master] Use Z suffix instead +00:00 for recentchangae event meta.dt

https://gerrit.wikimedia.org/r/510968

Change 510966 abandoned by Ottomata:
Use 'Z' suffix instead of 00:00 in meta.dt

https://gerrit.wikimedia.org/r/510966

Change 510968 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Use Z suffix instead +00:00 for recentchange event meta.dt

https://gerrit.wikimedia.org/r/510968

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.Jun 26 2019, 4:17 PM

As each event is migrated to the new Event Platform format in T211248, the timestamps will use the 'Z' suffix.

Nuria closed this task as Resolved.Jul 1 2019, 10:53 PM